Cyberduck Mountain Duck CLI

#6328 closed defect (duplicate)

Crashes regularly after recent upgrade

Reported by: emdriskill Owned by:
Priority: normal Milestone: 4.3
Component: core Version: 4.1.3
Severity: critical Keywords:
Cc: Gautehk Architecture:
Platform: Mac OS X 10.5

Description

Hi...I've used it for about two years with no problems. Accepted a recent upgrade and now it crashes multiple times a day, often in the middle of uploading.

Change History (23)

comment:1 Changed on Oct 26, 2011 at 5:55:16 PM by emdriskill

More investigation....seems to turn itself off when the first file uploading is finished, even if there are other files still in process.

comment:2 Changed on Oct 26, 2011 at 5:58:50 PM by emdriskill

Additionally, the transfer screen shows "Transfer incomplete 0 of 0KB" but the first file is clearly uploaded.

comment:3 follow-up: Changed on Oct 27, 2011 at 10:19:47 AM by dkocher

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

comment:4 Changed on Oct 27, 2011 at 5:56:18 PM by emdriskill

No...no output in the system log for 4 months, about anything! Thanks for sending me there to look.

It seems to be a very consistent behavior...worked with it more yesterday. One file will upload well, and program will turn off. Two files will appear to be uploading well, but when the first is done, the other will abort as the program turns off. I have tried different type and sizes of files. I have checked and unchecked the "close when transfer completes" preference. Doesn't seem to behave differently either way.

comment:5 Changed on Oct 29, 2011 at 6:36:44 PM by paolobeccari

...This is the same problem I reported in ticker #6309.

Yesterday I successfull uploaded a 125MB big file, but after tranfer the application quitted with no messages. Sometimes it crashes when, with a FTP connection open, i'm not uploading or downloading (I use to edit breaf code by Smultron via Cyberduck: it quits during editing).

comment:6 in reply to: ↑ 3 Changed on Oct 29, 2011 at 6:39:43 PM by paolobeccari

Replying to dkocher:

Can you find any related output in the system.log (/Applications/Utilities/Console.app)?

Console outputs to me strings like that:

29/10/11 19:59:05 com.apple.launchd[77] ([0x0-0x23023].ch.sudo.cyberduck[938]) Exited abnormally: Broken pipe 
29/10/11 20:19:02 com.apple.launchd[77] ([0x0-0x25025].ch.sudo.cyberduck[970]) Exited abnormally: Broken pipe 

Other output reports on ticker #6309

Last edited on Oct 29, 2011 at 6:45:35 PM by paolobeccari (previous) (diff)

comment:7 Changed on Oct 31, 2011 at 11:57:37 AM by dkocher

#6331 closed as duplicate.

comment:8 Changed on Oct 31, 2011 at 11:58:14 AM by dkocher

#6309 closed as duplicate.

comment:9 follow-up: Changed on Nov 2, 2011 at 1:27:18 PM by dkocher

Please attach the crash report.

comment:10 in reply to: ↑ 9 Changed on Nov 2, 2011 at 2:13:36 PM by paolobeccari

Replying to dkocher:

Please attach the crash report.

Sorry... NO CRASH REPORT appear to me: Cyberduck crasches about 10 times/day, it simply self-quit with no warnings.

comment:11 Changed on Nov 2, 2011 at 2:29:11 PM by emdriskill

I, as well, don't get or don't know where to get a crash report. I'm finding that it only works if I upload one file at a time, and restart it after each upload. This is a very different tool than the one I used to have. Can I reinstall the earlier version that worked really well?

comment:12 follow-up: Changed on Nov 3, 2011 at 10:26:25 AM by Gautehk

Old releases can be downloaded from http://cyberduck.ch/changelog/

I installed 4.1 this morning. No crashes so far.

comment:13 in reply to: ↑ 12 Changed on Nov 3, 2011 at 10:57:56 AM by paolobeccari

Replying to Gautehk:

Old releases can be downloaded from http://cyberduck.ch/changelog/

I installed 4.1 this morning. No crashes so far.

Thanks Gautehk for the link. Just downgraded. Hope developers to find the bug, meanwhile this is a good solution.

comment:14 Changed on Nov 3, 2011 at 11:57:30 AM by emdriskill

Just installed 4.1. Sent four files at once, and all were successful with no crash. Seems to be working the way it used to. So happy to have it back! Thank you.

comment:15 Changed on Nov 4, 2011 at 3:41:00 PM by dkocher

Is everyone here having this issue on OS X 10.5?

comment:16 Changed on Nov 7, 2011 at 2:45:34 PM by dkocher

Please update to the latest snapshot build available and let me know if the issue persists.

comment:17 Changed on Nov 8, 2011 at 4:14:10 PM by dkocher

  • Milestone set to 4.1.4
  • Resolution set to worksforme
  • Status changed from new to closed

comment:18 Changed on Nov 9, 2011 at 8:27:14 AM by Gautehk

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I upgraded to the snapshot, and Cyberduck started crashing again. I have work to do, so I downgraded again. If you can advise me how to get a crash report other than the one line in system.log, I will test again.

The crashes were triggered by dragging a file to Cyberduck, and by clicking the "up" button to navigate to the parent folder. These events are just like the crashes I experienced earlier. Cyberduck do not crash every time I do this, but frequently.

Yes, this computer runs OS X 10.5.

comment:19 Changed on Nov 9, 2011 at 8:32:27 AM by Gautehk

  • Cc Gautehk added

comment:20 Changed on Nov 24, 2011 at 9:22:46 PM by dkocher

  • Milestone 4.2 deleted

comment:21 Changed on Jan 9, 2012 at 8:30:30 AM by Gautehk

Tried 4.2.1. Crashes still occur.

comment:22 Changed on Oct 8, 2012 at 9:35:33 PM by dkocher

#6432 closed as duplicate.

comment:23 Changed on Nov 27, 2012 at 2:55:13 PM by dkocher

  • Milestone set to 4.2.2
  • Resolution set to duplicate
  • Status changed from reopened to closed

Duplicate for #6863.

Note: See TracTickets for help on using tickets.
swiss made software